[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# EnumResNameProc

Callback for resource name enumeration

## Declaration

Source position: resh.inc line 55

`type EnumResNameProc = function(`
`ModuleHandle: TFPResourceHMODULE;`
`ResourceType: PChar;`
`ResourceName: PChar;`
`lParam: PtrInt`
`):LongBool;`

## Description

EnumResNameProcs used in the EnumResourceNames call. It is called for all resources of the specified type, and is passed the ModuleHandle, ResourceType, ResourceName values for each resource encountered. Additionally, the lParam parameter from the EnumResourceNames is passed unaltered.

## See also

EnumResourceNames |  | Enumerate available resource names for a specified resource type